Subject: Re: problem cloning via http since v1.6.6-rc0

From: Ilari Liusvaara <[email-masked]>
Date: Thu, 21 Jan 2010 12:35:01 +0200

On Thu, Jan 21, 2010 at 02:47:37PM +0800, Tay Ray Chuan wrote:
> Hi,
> 
> On Thu, Jan 21, 2010 at 1:08 PM, Ilari Liusvaara
> >
> > (i.e. webserver would ignore the query). This isn't true for git.debian.org.
> > Requesting the latter works (and the data formatting looks sane), but the
> > former is 404. This causes the fetch to fail.
> 
> afaik, putting a "?var1=val1&var2=...." still makes it a normal GET
> request, even if the url requested is just a plain file and not some
> cgi handler that uses those variables/values.

Yes, it is normal GET (POST would be something else). And wheither it is CGI
doesn't come into play for request since client decides wheither to send GET
or POST and wheither to include query or not.

Query is just technical name for part between ? and # (or end of HTTP URL),
and can be present in any type of request that accepts http:// URL.

As said, code expects query part to be ignored if target is regular file
but broke when it didn't get ignored.

-Ilari